Project

General

Profile

Bug #58950

Crash sur delete_tenant

Added by Emmanuel Cazenave 3 days ago. Updated about 22 hours ago.

Status:
Solution proposée
Priority:
Normal
Target version:
-
Start date:
24 Nov 2021
Due date:
% Done:

0%

Estimated time:
Patch proposed:
Yes
Planning:
No

Description

J'essaie un delete_tenant, ça veut pas parce que

psycopg2.OperationalError: database "........" is being accessed by other users
DETAIL:  There is 1 other session using the database.

Pas de souci avec ça, mais ensuite :

During handling of the above exception, another exception occurred:

Traceback (most recent call last):                                                                       
  File "/usr/bin/wcsctl", line 11, in <module>                                                           
    ctl.run(sys.argv[1:])                           
  File "/usr/lib/python3/dist-packages/wcs/qommon/ctl.py", line 167, in run
    return cmd.run(args, options)                                                                        
  File "/usr/lib/python3/dist-packages/wcs/qommon/ctl.py", line 71, in run           
    return self.execute(base_options, sub_options, args)
  File "/usr/lib/python3/dist-packages/wcs/ctl/delete_tenant.py", line 45, in execute       
    self.delete_tenant(pub, sub_options, args)                                                           
  File "/usr/lib/python3/dist-packages/wcs/ctl/delete_tenant.py", line 113, in delete_tenant
    % (createdb_cfg['database'], psycopg2.errorcodes.lookup(e.pgcode)),                         
KeyError: 'database'                 

Files

History

#1

Updated by Frédéric Péters 3 days ago

Un tenant où ? Avec quoi dans le createdb_cfg ?

#2

Updated by Emmanuel Cazenave 3 days ago

Sur la prod sudo -u wcs wcsctl delete_tenant formulaires.mesdemarches.labaule.fr (j'ai pas été patient et j'ai shooté la DB à la main, depuis il a été recréé).

Sur ce tenant nouvellement créé, la situation (je suppose que c'était pareil sur l'ancien) :

$ sudo -u wcs wcs-manage shell -d formulaires.mesdemarches.labaule.fr
...
In [1]: from quixote import get_publisher
In [2]: print(get_publisher().cfg['postgresql'].get('createdb-connection-params', {}))
{'host': 'XXXXXXXXXXXXXXXXXXX', 'port': '5432', 'user': 'wcs', 'password': 'XXXXXXXXXXXX', 'dbname': 'postgres'}
#3

Updated by Frédéric Péters 3 days ago

Ok c'est bien le patch attaché cet endroit a du être zappé au moment s/database/dbname/.

#4

Updated by Emmanuel Cazenave 3 days ago

  • Status changed from Solution proposée to Solution validée

Et donc c'est raccord avec ton patch.

#5

Updated by Frédéric Péters 1 day ago

  • Assignee set to Frédéric Péters
  • Status changed from Solution validée to En cours

Also available in: Atom PDF